Debian Bug report logs - #689610
acl: autoconf update for arm64 building

version graph

Package: acl; Maintainer for acl is Anibal Monsalve Salazar <anibal@debian.org>; Source for acl is src:acl.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 4 Oct 2012 14:33:02 UTC

Severity: normal

Found in version 2.2.51

Fixed in version acl/2.2.52-1

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, This, to, is, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#689610; Package acl. (Thu, 04 Oct 2012 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to This, to, is, Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 04 Oct 2012 14:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: acl: autoconf update for arm64 building
Date: Thu, 04 Oct 2012 15:31:52 +0100
Package: acl
Version: 2.2.51
Severity: normal

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. The arm64 port is stalled until this package
is updated.

Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev
20120210.1 or later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#689610; Package acl. (Thu, 04 Oct 2012 20:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 04 Oct 2012 20:00:09 GMT) Full text and rfc822 format available.

Message #10 received at 689610@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 689610@bugs.debian.org
Subject: Re: Bug#689610: Acknowledgement (acl: autoconf update for arm64 building)
Date: Thu, 4 Oct 2012 20:56:47 +0100
[Message part 1 (text/plain, inline)]
+++ Debian Bug Tracking System [2012-10-04 14:33 +0000]:
> Thank you for filing a new Bug report with Debian.

And here's the patch I failed to attach:

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[acl-2.2.51-autoconfupdate.patch (text/x-diff, attachment)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Tue, 21 May 2013 01:21:09 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Tue, 21 May 2013 01:21:09 GMT) Full text and rfc822 format available.

Message #15 received at 689610-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 689610-close@bugs.debian.org
Subject: Bug#689610: fixed in acl 2.2.52-1
Date: Tue, 21 May 2013 01:17:54 +0000
Source: acl
Source-Version: 2.2.52-1

We believe that the bug you reported is fixed in the latest version of
acl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689610@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated acl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 21 May 2013 09:39:24 +1000
Source: acl
Binary: acl libacl1-dev libacl1
Architecture: source amd64
Version: 2.2.52-1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 acl        - Access control list utilities
 libacl1    - Access control list shared library
 libacl1-dev - Access control list static libraries and headers
Closes: 687535 689610
Changes: 
 acl (2.2.52-1) unstable; urgency=low
 .
   * New upstream release 2.2.52
   * Standards Version is 3.9.4
   * Update debian/rules
     Upstream renamed build/ to package/
   * Upstream renamed configure.in to configure.ac and didn't ship it.
     Add 01-configure.in.patch
   * Fix missing ldflags
     Add 02-687535-fix-missing-ldflags.patch
     Patch by Simon Ruderich
     Closes: #687535
   * autoconf update for arm64 building
     Closes: #689610
   * Update debian/watch
Checksums-Sha1: 
 c322f13b6b5161b54fcb9eb5e262718e0e79dbd1 2050 acl_2.2.52-1.dsc
 a468c56c8f96749539dc34abac480697595363d2 312128 acl_2.2.52.orig.tar.bz2
 2ee5130b5d6f06ddf3e87eae60ab2cbcd75946c8 8886 acl_2.2.52-1.debian.tar.bz2
 f0d267e8a0e96725b556074be9e0ffc7550636b6 70864 acl_2.2.52-1_amd64.deb
 de60b14d7ad0ff1204fa8d53010f239e0a6c3e5f 92056 libacl1-dev_2.2.52-1_amd64.deb
 0aa32797e1dff7443ae1b52f65c1090a076560c6 30184 libacl1_2.2.52-1_amd64.deb
Checksums-Sha256: 
 0aac0ff2c3563ded05a6aae74c6f68ef5e991961e514b2549dfdd27d40fe4bcf 2050 acl_2.2.52-1.dsc
 59d05b38af76baf2eddccbf08c7968a17451cc785ffecc657fcb46ce32b2631d 312128 acl_2.2.52.orig.tar.bz2
 1f1a99c40fe13686ebc38d2c158159921b18c2502bfbcc87295b3b54d5cfb669 8886 acl_2.2.52-1.debian.tar.bz2
 66786d6a39220a22342251bd24191ebea8d87eaf30bae771446087712c5eaf9e 70864 acl_2.2.52-1_amd64.deb
 77b07270dab8c6bd75e0fafb17e49b6a65e967a32e57d87a5e693fefa047d68f 92056 libacl1-dev_2.2.52-1_amd64.deb
 aee69c9e09db6ad993f4a6cbf8964845e6ee627761597b8eba934821beab7aa8 30184 libacl1_2.2.52-1_amd64.deb
Files: 
 1573576087a42a40611bb606fed77b8f 2050 utils optional acl_2.2.52-1.dsc
 a4978401240808ec6e6ea9ac441c388d 312128 utils optional acl_2.2.52.orig.tar.bz2
 68e251a1ef91ce01374ef79cbfa06aa3 8886 utils optional acl_2.2.52-1.debian.tar.bz2
 19efa5d784e15ce19eb4cd63f8835db3 70864 utils optional acl_2.2.52-1_amd64.deb
 c0c624fd6d9755d43eaac1a70363cc21 92056 libdevel extra libacl1-dev_2.2.52-1_amd64.deb
 f9b77d23d21312910b53f8fde6e5f38c 30184 libs required libacl1_2.2.52-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmsgFAAoJEHxWrP6UeJfY+pgP/jEnyjTCmRrggEFzxmnDDbjb
tkOhfaOM7DGvqbBfNn0kqJwQuVQb1+KDIOrnrd19IBb4AM0Ug0HowO/Rekl42vkP
lcmdd4hAx2yCZPS+B8KniRP8f8ql7oitbnDHzBA9imzJXHucbkvVddWXqs8Ejmkc
ZRaSxrMTbep7TLRBxMf59H73nU+wAP8cCeuNd6P2gIeUiApPmWuGaAxbh+sqk5Ja
dlOiKXKyVThaI2kbkBQmQAVdqpZS4MO4Q/ZNUMrT4QPUnyk5EBMPgzDe/o2VekGe
HwuvbQS46IZZRPQXHTpDlrWB8a1AH74rftichQsSvvgl3Z31Vqt5NCIzpJMpulXN
ho1ZlcsXcg18Q7v5FGf9Jq9BapG4BEkZcPISgBwT+Al9Ym2GN2zLMB4HdqQCm3EP
3jhntle8WiglXx6UsGVXbnEpWELixFxmkd1qikyiOV0eXN87q00EEQUtF6WdTlYI
3aL8vXWkcJn7vLZFC03yi1xkJnSXGWisTkd2kXoUEGWl65P57U8XvjILfnQOCH/2
E18jyuCyWfxHZa0LH8BX0EFh9STCCSZeX8nxH94SE022JYfrNFCNW2gikG27u1+H
kr35kv4hWOjG5QgzXcCG/YdctjqLzwaMT1wSexwTkM7oFch7XOefii8tvPb4eRRH
Yr0lZu83GhN+9JRMGaM0
=gdeC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Jun 2013 07:26:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:02:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.